Package com.germinus.easyconf

# Class FileConfigurationChangedReloadingStrategy

FileChangedReloadingStrategy
com.germinus.easyconf.FileConfigurationChangedReloadingStrategy

Direct Known Subclasses:
  `FileURLChangedReloadingStrategy`

public class FileConfigurationChangedReloadingStrategy extends FileChangedReloadingStrategy
Reloads the configuration file even if a base path wasn't originally specified. This happens for example when it has been loaded from the classpath. It works too for files that are inside JAR files.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final Log`
`log`
`private URL`
`sourceURL`

## Constructor Summary

Constructors
Constructor
Description
`FileConfigurationChangedReloadingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`protected File`
`getFile()`
`protected URL`
`getSourceURL()`
`protected boolean`
`hasChanged()`
Check if the configuration has changed since the last time it was loaded.
`void`
`setConfiguration(FileConfiguration configuration)`
`protected void`
`setSourceURL(URL url)`
`protected void`
`updateLastModified()`
Update the last modified time.

## Field Details

### sourceURL

private URL sourceURL

### log

private static final Log log

## Constructor Details

### FileConfigurationChangedReloadingStrategy

public FileConfigurationChangedReloadingStrategy()

## Method Details

### setConfiguration

public void setConfiguration(FileConfiguration configuration)

### setSourceURL

protected void setSourceURL(URL url)

### getSourceURL

protected URL getSourceURL()

### updateLastModified

protected void updateLastModified()
Update the last modified time.

### hasChanged

protected boolean hasChanged()
Check if the configuration has changed since the last time it was loaded.

### getFile

protected File getFile()